> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maxcare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product by ID

> Returns a single product. Requires read:products scope.



## OpenAPI

````yaml /openapi-v3.json get /inventory/products/{id}
openapi: 3.0.0
info:
  title: Max AI Public API
  description: API for third-party marketplace apps
  version: '3.0'
  contact: {}
servers:
  - url: https://api.maxcare.ai/v3
security: []
tags: []
paths:
  /inventory/products/{id}:
    get:
      tags:
        - Inventory
      summary: Get product by ID
      description: Returns a single product. Requires read:products scope.
      operationId: InventoryPublicController_getProduct
      parameters:
        - name: id
          required: true
          in: path
          description: Product ID
          schema:
            type: string
        - name: X-Organization-Id
          in: header
          required: true
          schema:
            type: string
          description: Target clinic organization ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProductSuccessResponseV3'
        '400':
          description: Missing or invalid request parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiBadRequestResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiUnauthorizedResponse'
        '403':
          description: Insufficient scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiForbiddenResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiNotFoundResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiRateLimitResponse'
      security:
        - api-key: []
components:
  schemas:
    GetProductSuccessResponseV3:
      type: object
      properties:
        code:
          type: string
          description: Response code
          example: success
        data:
          $ref: '#/components/schemas/GetProductResponseDataV3'
      required:
        - code
        - data
    PublicApiBadRequestResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: bad_request
        message:
          type: string
          description: Human-readable error message
          example: '''id'' must be a valid UUID'
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiUnauthorizedResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: unauthorized
        message:
          type: string
          description: Human-readable error message
          example: Invalid or missing API key
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiForbiddenResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: forbidden
        message:
          type: string
          description: Human-readable error message
          example: Insufficient scope
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiNotFoundResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: not_found
        message:
          type: string
          description: Human-readable error message
          example: Resource not found
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    PublicApiRateLimitResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: rate_limit_exceeded
        message:
          type: string
          description: Human-readable error message
          example: Rate limit exceeded. Maximum 1000 requests per 60 seconds.
        trace_id:
          type: string
          description: Trace ID for debugging
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - code
        - message
        - trace_id
    GetProductResponseDataV3:
      type: object
      properties:
        product:
          $ref: '#/components/schemas/ExternalProductResponseV3'
      required:
        - product
    ExternalProductResponseV3:
      type: object
      properties:
        id:
          type: string
          description: Product ID
          example: prd_b4c5d6e7f8a94b0c1d2e3f4a5b6c7d8e
        gtin:
          type: string
          description: GTIN barcode
          nullable: true
          example: '00814260991517'
        additionalGtins:
          description: Additional GTINs
          nullable: true
          example:
            - '00814260991524'
          type: array
          items:
            type: string
        customBarcode:
          type: string
          description: Custom barcode
          nullable: true
          example: null
        ndc:
          type: string
          description: NDC code
          nullable: true
          example: 0002-1365-01
        name:
          type: string
          description: Product name
          example: Botox 100 Units
        manufacturer:
          type: string
          description: Manufacturer
          nullable: true
          example: Allergan
        type:
          type: string
          description: Product type
          enum:
            - medical_device
            - drug
            - supply
            - other
          example: drug
        description:
          type: string
          description: Product description
          nullable: true
          example: OnabotulinumtoxinA for injection, 100 units per vial
        unitOfMeasure:
          type: string
          description: Unit of measure
          example: each
        quantityPerUnit:
          type: number
          description: Quantity per unit
          example: 1
        metadata:
          type: string
          description: Additional metadata
          nullable: true
          example: null
        archivedAt:
          type: string
          description: Archived timestamp
          nullable: true
          example: null
        createdAt:
          type: string
          description: Created timestamp
          example: '2025-01-10T12:00:00.000Z'
        updatedAt:
          type: string
          description: Last updated timestamp
          example: '2025-01-15T08:30:00.000Z'
      required:
        - id
        - gtin
        - additionalGtins
        - customBarcode
        - ndc
        - name
        - manufacturer
        - type
        - description
        - unitOfMeasure
        - quantityPerUnit
        - metadata
        - archivedAt
        - createdAt
        - updatedAt
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Marketplace API key

````